Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 14h -- Move Received File
;
;   Format:
;               int CASMoveReceivedFile (int handle, int file, char *filespec);
;   Input:
;               handle of event, received file number, path and filename
;   Output:
;               Returns 0 if successful or negative error code
;==============================================================================

                .CODE
CASMoveReceivedFile     PROC    arg1:WORD, arg2:WORD, arg3:PTR WORD

                push    bx              ; save registers
                push    cx
                push    dx
                push    ds

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,14h          ; CAS function 14
                mov     bx,arg1         ; load event handle
                mov     cx,arg2         ; load received file number
        IF      @DataSize               ; large and medium models
                lds     dx,arg3         ; pointer to path and filename
        ELSE
                mov     dx,arg3         ; pointer to path and filename
        ENDIF
                int     2Fh

                pop     ds              ; restore registers
                pop     dx
                pop     cx
                pop     bx
                ret
CASMoveReceivedFile     endp

                END


