Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 08h -- Open A File
;
;   Format:
;               int CASDeleteFile (int handle, int file, BYTE queue)
;   Input:
;               handle of event, receive file number, queue to search
;   Output:
;               Returns 0 if successful or negative error code
;==============================================================================

                .CODE
CASDeleteFile   PROC    arg1:WORD, arg2:WORD, arg3:BYTE

                push    bx              ; save registers
                push    cx
                push    dx

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,08h          ; CAS function 8
                mov     bx,arg1         ; event handle
                mov     cx,arg2         ; receive file number
                mov     dl,arg3         ; queue to search
                int     2Fh

                pop     dx              ; restore registers
                pop     cx
                pop     dx
                ret
CASDeleteFile   endp

                END


