Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function Bh -- Set Task Date
;
;   Format:
;               int CASSetTaskDate (int handle, CAS_DATE *date)
;   Input:
;               handle of event, pointer to date structure
;   Output:
;               Returns 0 if successful or negative error code.
;==============================================================================

                .CODE
CASSetTaskDate          PROC    arg1:WORD, arg2:PTR WORD

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,0Bh          ; CAS function B
                mov     bx,arg1         ; event handle
        IF      @DataSize               ; large and medium models
                les     di,arg2         ; pointer to date structure
                mov     cx,es:[di]      ; load year
                mov     dh,es:[di+2]    ; load month
                mov     dl,es:[di+3]    ; load day
        ELSE
                mov     di,arg2         ; small model
                mov     cx,[di]         ; year
                mov     dh,[di+2]       ; month
                mov     dl,[di+3]       ; day
        ENDIF
                int     2Fh

                ret
CASSetTaskDate          endp

                END


