Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function Dh -- Set Task Time
;
;   Format:
;               int CASSetTaskTime (int handle, CAS_TIME *time)
;   Input:
;               handle of event, pointer to time structure
;   Output:
;               Returns 0 if successful or negative error code.
;==============================================================================

                .CODE
CASSetTaskTime          PROC    arg1:WORD, arg2:PTR WORD

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,0Dh          ; CAS function D
                mov     bx,arg1         ; event handle
        IF      @DataSize               ; large and medium models
                les     di,arg2         ; pointer to date structure
                mov     ch,es:[di]      ; load hour
                mov     cl,es:[di+1]    ; load minute
                mov     dh,es:[di+2]    ; load second
        ELSE
                mov     di,arg2         ; small model
                mov     ch,[di]         ; hour
                mov     cl,[di+1]       ; minute
                mov     dh,[di+2]       ; second
        ENDIF
                int     2Fh

                ret
CASSetTaskTime          endp

                END


