PROJ = SHOWCOM
PROJFILE = SHOWCOM.MAK
DEBUG = 0

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
BIND  = bind
RC  = rc
IMPLIB	= implib
LFLAGS_G  = /NOI /NOE	/TINY /BATCH
LFLAGS_D  = /CO /FAR
LFLAGS_R  = /F /NOP
MAPFILE_D  = NUL
MAPFILE_R  = NUL
RT_OBJS  = crtcom.lib
CC  = cl
CFLAGS_G  = /W2 /BATCH
CFLAGS_D  = /qc /Zr /Zi /Od
CFLAGS_R  = /Ot /Ol /Og /Oe /Oi /Gs
LLIBS_R  = /NOD:SLIBCE SLIBCER
LLIBS_D  = /NOD:SLIBCE SLIBCER
ASM  = masm
AFLAGS_G  = /Mx /T
AFLAGS_D  = /Zi

OBJS  = SHOWCOM.obj
SBRS  = SHOWCOM.sbr

all: $(PROJ).com

.SUFFIXES: .c .sbr .obj

SHOWCOM.obj : SHOWCOM.C C:\C600\INCLUDE\dos.h C:\C600\INCLUDE\stdio.h\
	C:\C600\INCLUDE\conio.h getcom.c baudtab.h

SHOWCOM.sbr : SHOWCOM.C C:\C600\INCLUDE\dos.h C:\C600\INCLUDE\stdio.h\
	C:\C600\INCLUDE\conio.h getcom.c baudtab.h


$(PROJ).bsc : $(SBRS)
	$(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).com : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.c.sbr :
!IF $(DEBUG)
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_D) /FR$@ $<
!ELSE
	$(CC) /Zs $(CFLAGS_G) $(CFLAGS_R) /FR$@ $<
!ENDIF

.c.obj :
!IF $(DEBUG)
	$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
	$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).com
	$(PROJ).com $(RUNFLAGS)

debug: $(PROJ).com
	CV $(CVFLAGS) $(PROJ).com $(RUNFLAGS)
