class COM_port {
public:
    int CD;
    unsigned int async_irq;
    unsigned int com_baudrate;
    void set_baudrate(unsigned int baud_rate);
    int char_waiting(void);
    void send_modem_string(char *s);
    void set_rts(unsigned int i);
    void set_dtr(unsigned int i);
    void clear_receive_buffer(void);
    void clear_xmit_buffer(void);
    void open(unsigned int baud_rate, unsigned int irq,
        unsigned int base_address, unsigned int r_size, unsigned int x_size);
    void close(void);
    void out_buf(unsigned char huge *s, unsigned int length);
    void get_buf(unsigned char huge *s, unsigned int length);
    COM_port& operator<< (char ch1);
    COM_port& operator<< (unsigned char ch1);
    COM_port& operator<< (char *s);
    COM_port& operator<< (unsigned int &s);
    COM_port& operator>> (char &ch1);
    COM_port& operator>> (unsigned char &ch1);
    COM_port& operator>> (unsigned int &s);
    COM_port& operator>> (char *s);
    COM_port(void);
};

extern COM_port remote;
