Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 0h -- Get Installed State
;
;   Input:
;               none
;   Output:
;               Installed State in AX
;==============================================================================

                .CODE
CASGetInstalledState    PROC

                mov     ax,MUX          ; multiplex number -> al
                mov     ah,al           ; multiplex number -> ah
                mov     al,0h           ; function 0 -> al
                int     2Fh

                mov     ah,0            ; zero out ah

                ret
CASGetInstalledState    endp

                END


