Include multi.inc
Include model.inc


;==============================================================================
;
;   CAS function 15h -- Submit Single File
;
;   Format:
;               int CASSubmitSingleFile (SFTR *buffer)
;   Input:
;               pointer to Single File Transfer Record
;   Output:
;               Returns 0 if successful or negative error code
;==============================================================================

                .CODE
CASSubmitSingleFile     PROC    arg1:PTR WORD

                push    dx              ; save registers
                push    ds

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,15h          ; CAS function 15
        IF      @DataSize               ; large and medium models
                lds     dx,arg1         ; pointer to SFTR
        ELSE
                mov     dx,arg1         ; pointer to SFTR
        ENDIF
                int     2Fh

                pop     ds              ; restore registers
                pop     dx
                ret
CASSubmitSingleFile     endp

                END

