Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 16h -- Unload Resident Manager
;   
;   Format:
;               int CASUnloadResidentManager ()
;   Input:
;               none
;   Output:
;               Returns 0 if successful or negative error code
;==============================================================================

                .CODE
CASUnloadResidentManager    PROC     

                push    bx              ; save registers
                push    cx      
                push    dx
                
                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,16h          ; CAS function 16
                mov     bx,1234h        ; event handle
                mov     cx,5678h        ; receive file number
                mov     dx,9ABCh        ; queue to search 
                int     2Fh

                pop     dx              ; restore registers
                pop     cx
                pop     bx                 
                ret
CASUnloadResidentManager    endp
     
                END
                

