Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 01h -- Submit A Task
;
;   Format:
;               int CASSubmitTask (char *filespec)
;   Input:
;               pointer to ASCII path and filename for control file
;   Output:
;               Returns event handle if successful or negative error code
;==============================================================================

                .CODE
CASSubmitTask   PROC    arg1:PTR WORD

                push    dx              ; save registers
                push    ds

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,01h          ; CAS function 1
        IF      @DataSize               ; large and medium models
                lds     dx,arg1         ; pointer to SFTR
        ELSE
                mov     dx,arg1         ; pointer to SFTR
        ENDIF
                int     2Fh

                pop     ds              ; restore registers
                pop     dx
                ret
CASSubmitTask   endp

                END

