Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 2h -- Abort Current Event
;
;   Format:
;               CASAbortCurrentEvent (void)
;   Input:
;               none
;   Output:
;               returns the event handle of the aborted event or negative
;               error code.
;==============================================================================

                .CODE
CASAbortCurrentEvent    PROC     

                mov     ax,MUX          ; multiplex number -> al
                mov     ah,al           ; multiplex number -> ah
                mov     al,2h           ; CAS function 2
                int     2Fh

                ret
CASAbortCurrentEvent    endp
     
                END
                

