Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function 09h -- Open A File
;   
;   Format:
;               int CASDeleteAllFiles (BYTE queue)
;   Input:
;               queue to delete
;   Output:
;               Returns 0 if successful or negative error code
;==============================================================================

                .CODE
CASDeleteAllFiles       PROC    arg1:BYTE 

                push    dx              ; save register
                
                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,09h          ; CAS function 9
                mov     dl,arg1         ; queue to delete 
                int     2Fh

                pop     dx              ; restore register
                ret
CASDeleteAllFiles       endp
     
                END
                

