Include multi.inc
Include model.inc

;==============================================================================
;
;   CAS function Eh -- Get External Data Block
;
;   Format:
;               int CASGetExternalData (EDB *buffer)
;   Input:
;               pointer to EDB structure
;   Output:
;               Returns 0 if successful or negative error code,
;               fills external data structure.
;==============================================================================

                .CODE
CASGetExternalData      PROC    arg1:PTR WORD

                push    ds              ; save registers
                push    dx

                mov     ax,MUX          ; load multiplex number
                mov     ah,al           ; move into ah
                mov     al,0Eh          ; CAS function E
        IF      @DataSize               ; large and medium models
                lds     dx,arg1         ; pointer to data block
        ELSE
                mov     dx,arg1         ; small model
        ENDIF
                int     2Fh

                pop     dx              ; restore registers
                pop     ds
                ret
CASGetExternalData      endp

                END


