/****************************************************************************
 *   FILE CKITDEMO.H                                                        *
 *   Created 11-FEB-1990            Rickie W. Belitz                        *
 *                                  820 Brentwood Drive                     *
 *                                  Maryville, Tennessee  37801             *
 *                                  BBS (615) 982-6512                      *
 *                                      (615) 982-6537                      *
 *                                      (615) 982-8723                      *
 *                                                                          *
 *                  Parameters that are specific to CKITDEMO                *
 *                                                                          *
 ****************************************************************************/

/****************************************************************************
 *      IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF IF         *
 ****************************************************************************/
#if COMPILER == MICROSOFT
    #define RAND( seed) (seed = ((( seed * 12) + 6) % (Modulo + 1)))
    int     irandom(short);             /* Generate random number       */

#endif

/****************************************************************************
 *     ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF ENDIF    *
 ****************************************************************************/

/****************************************************************************
 *                   CKITDEMO function prototypes                           *
 ****************************************************************************/
void    ansi_demo(void);            /* ANSI graphic demo            */
void    display_info(void);         /* Display CKIT information     */
void    take_chance(void);          /* Take a change game           */
void    menu(void);                 /* Main menu for demo           */
void    test_pattern(void);         /* Test pattern                 */
void    filexfer(void);
void    read_scancode(void);

/****************************************************************************
 *     Set this array equal to your door program name desired               *
 ****************************************************************************/

char    progname[21] = "Ckit - Demo";
char    doc_filename[9] ="CKIT.DOC";
char    zmodem_send[36]="dsz pB4096 pa3000 handshake cts sz ";
char    *errmsg_ptr;
/****************************************************************************
 ************************ E N D  OF  M O D U L E ****************************/

